/********************************************************************************
 *PICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOY*
 *                                                                              *
 *      This is my first try to program a PIC microcontroller.                  *
 *                                                                              * 
 *      As I have absolutely no experience in this sector, please               *
 *      apologize some faults in here.                                          *
 *                                                                              *                          
 *      Nils Daniel Bruns, FabAcademy Class 2016, MIT                           *
 *                                                                              *
 *PICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOYPICBOY*
 *******************************************************************************/

#include <xc.h>
#include "pic_config.h"
#include "hardware.h"
#include "timer.h"



void main(void){
    
    hardware_init(); // Hardware initialization
    timer_init(); // Timer initialization
    
    LATAbits.LATA2 = 0; //Turn on LED on RA2 for testing
    LATAbits.LATA4 = 0; //Turn on LED on RA4 for testing
    
    while(1); // wait infinite for something that never appears...
    
    return;
   
}

void interrupt InterruptHandler(void){
    
    if(INTCONbits.TMR0IF){ // Check for Timer0 interrupt
        
        INTCONbits.TMR0IF = 0; // Interrupt flag reset
        LATA ^= 0xFF; // Toggle all LEDs on Port A
//        LATA ^= 0x01; // Toggle RA0
        
    }
}








